Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Interface AssociationElementParent

All Superinterfaces:
  XDSElement

All Known Implementing Classes:
  XDSAddElement, XDSCheckObjectPasswordElement, XDSDeleteElement, XDSInstanceElement, XDSModifyElement, XDSModifyPasswordElement, XDSMoveElement, XDSParentElement, XDSQueryElement, XDSQueryExElement, XDSRenameElement

public interface AssociationElementParent
extends XDSElement

Any XDS element that contains zero or one child `<association>` elements.

This class represents the `association?` occurrence indicator (zero or one) or a sequence that contains an association element only once `(association)`. Currently, all implementing subclasses implement the ? occurrence indicator.

Method Summary
`XDSAssociationElement` | `appendAssociationElement(String someText)` Appends a child `<association>` element to this element.
`XDSAssociationElement` | `extractAssociationElement()` Returns this element's child `<association>` element.
`String` | `extractAssociationText()` Returns the concatenated child text nodes from this element's child `<association>` element.

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### extractAssociationElement

    public XDSAssociationElement extractAssociationElement()

  Returns this element's child `<association>` element.

  Invocation Context:
    READ

  Returns:
    may return `null`

### extractAssociationText

    public String extractAssociationText()

  Returns the concatenated child text nodes from this element's child `<association>` element.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`

### appendAssociationElement

    public XDSAssociationElement appendAssociationElement(String someText)

  Appends a child `<association>` element to this element. The `<association>` element contains the text `someText`.

  Invocation Context:
    WRITE

  Parameters:
    `someText` - the association value; if `null` or `""`, an empty, child `<association>` element is appended
  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD